import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  * Einfache Implementation des Raumplaners mit Gui (nur Buttons)
  * Moebel-Objekte knnen angezeigt und Mausklick ausgewhlt werden.

  // Anfang Attribute1
  * MVC-Anwendung: Controller - Einbau
  * Das ausgewhlten Moebel-Objekt wird jeweils farblich gekennzeichnet.
  *
  // Ende Attribute1

  * @version 5.0 vom 23.06.2009
  * @author claus albowski

  // Anfang Attribute2
  */



    // Anfang Komponenten1
    // Ende Komponenten1
public class RaumplanerGui extends JFrame {

  // Anfang Methoden1
  // Anfang Variablen

  // Anfang Attribute
  private static RaumplanerController controller;
  private static RaumplanerGui gui;

  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  private JButton jButton3 = new JButton();
  private JButton jButton4 = new JButton();
  private JButton jButton5 = new JButton();
  // Ende Attribute2

  private JButton jButton6 = new JButton();
  private JButton jButton7 = new JButton();

  // Anfang Methoden2
  private JButton jButton8 = new JButton();
  private JButton jButton9 = new JButton();
  // Ende Attribute

  // Ende Variablen

  public RaumplanerGui(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { dispose(); }
    });
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2 ;

  // Anfang Attribute3
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jButton1.setBounds(8, 8, 147, 25);
    jButton1.setText("Tisch");
    jButton1.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jButton1);
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        neuesMoebelActionPerformed("Tisch");
      }
    });

    jButton2.setBounds(8, 40, 147, 25);
    jButton2.setText("Stuhl");
    jButton2.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jButton2);
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        neuesMoebelActionPerformed("Stuhl");
      }
    });

    jButton3.setBounds(8, 80, 147, 25);
    jButton3.setText("Schrank");
    jButton3.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jButton3);
    jButton3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
  // Ende Attribute3

        neuesMoebelActionPerformed("Schrank");
      }
    });

    jButton4.setBounds(8, 120, 147, 25);
    jButton4.setText("Tischgruppe");
    jButton4.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jButton4);
    jButton4.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        neuesMoebelActionPerformed("Tischgruppe");
      }
    });

    jButton5.setBounds(8, 160, 147, 25);
  // Ende Methoden1
    jButton5.setText("Schrankwand");
    jButton5.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jButton5);
    jButton5.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        neuesMoebelActionPerformed("Schrankwand");

    // Anfang Komponenten3
    // Ende Komponenten3
      }

  // Anfang Methoden3
    });

    jButton6.setBounds(8, 200, 147, 25);
    jButton6.setText("Konferenztisch");
    jButton6.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jButton6);
    jButton6.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        neuesMoebelActionPerformed("Konferenztisch");
      }
    });

    jButton7.setBounds(8, 240, 243, 25);
    jButton7.setText("KonferenzTischGruppe");
    jButton7.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jButton7);
    jButton7.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        neuesMoebelActionPerformed("KonferenzTischGruppe");
      }
    });

    jButton8.setBounds(176, 16, 75, 25);
    jButton8.setText("Auswahl");
    jButton8.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jButton8);
    jButton8.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton8_ActionPerformed(evt);
      }
    });

    jButton9.setBounds(176, 56, 75, 25);
    jButton9.setText("verschiebe");
    jButton9.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jButton9);
    jButton9.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton9_ActionPerformed(evt);
      }
    });

    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden

  // Anfang Ereignisprozeduren
  public void neuesMoebelActionPerformed(String typ) {
    controller.neuesMoebel(typ);
  }

  public void jButton8_ActionPerformed(ActionEvent evt) {
    controller.auswahl();
  }

  public void jButton9_ActionPerformed(ActionEvent evt) {
    controller.verschiebe();
  }

  // Ende Ereignisprozeduren
  // main - Methode hier lassen, damit kein Application-Fenster geffnet wird.
  // Das knnte man natrlich besser machen.

  public static void main(String[] args) {

    // Anfang Komponenten2
    // Ende Komponenten2
    gui = new RaumplanerGui("RaumplanerGui");
  // Ende Methoden2
    controller= new RaumplanerController(gui);
  }
  // Ende Methoden

}

  // Ende Methoden5

  // Anfang Methoden5
    // Ende Komponenten5

    // Anfang Komponenten5
  // Ende Attribute5


  // Anfang Attribute5
  // Ende Methoden4
    // Ende Komponenten4

    // Anfang Komponenten4

  // Anfang Methoden4
  // Ende Attribute4


  // Anfang Attribute4
  // Ende Methoden3
